Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig
Class JSFAppConfigProvidersChangeEvent

    java.lang.Object
      org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig.JSFAppConfigProvidersChangeEvent

public class JSFAppConfigProvidersChangeEvent
extends java.lang.Object

JSFAppConfigProvidersChangeEvent provides change information to instances of IJSFAppConfigProvidersChangeListener.

Field Summary
`static int` | `ADDED` Event type; instance of IJSFAppConfigProvider was added (value == 1).
`protected IJSFAppConfigProvider` | `configProvider` Instance of IJSFAppConfigProvider that was added or removed.
`protected int` | `eventType` Event type.
`static int` | `REMOVED` Event type; instance of IJSFAppConfigProvider was removed (value == 2).

Constructor Summary
`JSFAppConfigProvidersChangeEvent(IJSFAppConfigProvider configProvider, int eventType)` Constructs an instance.

Method Summary
`int` | `getEventType()` Gets the event type.
`IJSFAppConfigProvider` | `getJSFAppConfigProvider()` Gets the instance of IJSFAppConfigProvider that was added or removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADDED

    public static final int ADDED

  Event type; instance of IJSFAppConfigProvider was added (value == 1).

  See Also:
    Constant Field Values

### REMOVED

    public static final int REMOVED

  Event type; instance of IJSFAppConfigProvider was removed (value == 2).

  See Also:
    Constant Field Values

### configProvider

    protected IJSFAppConfigProvider configProvider

  Instance of IJSFAppConfigProvider that was added or removed.

### eventType

    protected int eventType

  Event type.

Constructor Detail

### JSFAppConfigProvidersChangeEvent

    public JSFAppConfigProvidersChangeEvent(IJSFAppConfigProvider configProvider,
                                            int eventType)

  Constructs an instance.

Parameters:
  `configProvider` - Instance of IJSFAppConfigProvider that was added or removed
  `eventType` - Event type

Method Detail

### getJSFAppConfigProvider

    public IJSFAppConfigProvider getJSFAppConfigProvider()

  Gets the instance of IJSFAppConfigProvider that was added or removed.

  Returns:
    Instance of IJSFAppConfigProvider that was added or removed

### getEventType

    public int getEventType()

  Gets the event type.

  Returns:
    Event type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD